// THE PORTRAIT - a little taste of ISEKAI.

// EXCERPT OF THE LOWER FLOOR


#include <tads.h>
#include "advlite.h"
#undef touchDesc

/* TODO:
 * imp the windows in umezz (and in the eating) *DONE*
 * imp the comparision between the windows NOT done, lack of time
 * imp the mirror (distant) from the living *DONE*
 * imp description of the ceiling & mezzanine from the living *DONE*
 * ISEKAI: note that from "Hidnook"'s ßtest the idea of variety of 
 * atmospheric funny thing in front of the mirror IS a good idea. Imp it in
 * due time..

*/

/*
NOTABENE: the (more or less) still static descs of the rooms here reflect the 
early story, after the PC has seen the painting and checked the mirror, 
discovering that she is the centre girl, but still not knowing well the 
relationship with the other two.
(relkno fully gained after reading both lines of the bracelet)
In due time, all these descs will get their appropriate adprose.
*/


/* ROOMS, STATIC OBJECTS & SCENERY

TOTAL ROOM COUNT:
The Nest's ground floor (This is EU !) has 14 locations in total, whose
Together with the 8 locations of the upper floor plus the 15 locs of the 
tower, the total of the central building is 37 locations.
The outside has 37 locations plus two pseudo locs plus one unimplemented.
grand total of the nest, inside and outside, 74 locations, plus two pseudo
locs, minus the still to be implemented, later, single loc of Etuye's lab.
The little town of Luroz has currently 24 locations + three pseudo locs
Lastly, the one-room places reachable via the "hoshen" are 4.
current grand total, 37+37+(1)+24+4 = 103 plus five pseudo ones.

the ground floor has 14 locations in total (4 in this excerpt):
living room, undermezzanine, eating room, 3-location long corridor, 
tiny hallway, relief, kitchen, bedroom, combined dressing/drawing room, 
laboratory, household storage.
Initially the player is confined to the living and umezz rooms until he sees 
the painting and the mirror, whose opens the rest of the ground floor.

NOTES:
Exploring the lower floor of the house led the player to realise that indeed 
is part of a very unique (by earth standards: actually, lesbian throuples are 
uncommon on Railei, but the racial composition indeed is a rare one, even 
there.) married throuple one, the painting (actually a picture done by magic) 
being taken during the marriage (the bracelet being this world's equivalent 
of a wedding ring), opening the upper floor

On the luvkno & relkno var, tracking: 
the PC's realisation of the love and marriage relationship, built up from the 
progression of the exploration the house, with two thresholds, the first 
realising the love feeling toward the spouses, after which the perception of
some topical loc/item (eg. the bed or the painting, even the relief room...) 
changes significantly. 
(This should also become a better opener for the upper floor...)
The second threshold is the realisation of being also married with her loved 
and soulmated spouses, thru the full reading of the inscription on the 
bracelet after the "rosetta stoning", the two thresholds together, or only 
relkno, igniting the daemon-fuse (sorry, I couldn't resist this bad but 
apropos joke...) of the arrival of Azuj in the balcony/landing pad in the 
upper floor and the beginning of mid-game.
*/

uqAche: Achievement { +10 "getting unsettling questions" }

living: Room 'Living room'
"<<one of>>When you wake, the first thing you see is that the ceiling is
really high, the barreled roof being at least three, perhaps four, floors 
above you, a ceiling fit for this gorgeous and rather grand living room on 
two levels, a mezzanine covering the eastern third of this room, forming a 
cozy, low-ceiling area below it. A flight of stairs against the northern wall 
climbs up to the mezzanine.\n
On the centre of the southern wall, flanked by an arched passage on its left 
and a larger archway on its right, hangs, an huge life-size painting, so 
detailed and realistic that you can't exclude that is actually a photograph, 
no wonder that has catched your attention.\n
Standing up from the sofa, you're rather surprised in <i>feeling</i> the 
presence of a gorgeousness whose immediately catch your eye: this body's 
bosom sports a pair of D cup breasts, covered by a laced bodice, and you wear 
a skirt around your lower body. <i>A female body and dress, for real ? How 
and why I got <b>these</b> ??\n</i>
 <<or>>This room is a living room; indeed there's a sofa,
 <<if etuye.location==sofa>> on which you are,<<end>> an huge life-size
painting, placed in a prominent spot at the very centre of the south wall, 
between an arched passage to a corridor and a larger archway leading 
southeast to another room, and a low table is placed between this sofa and 
the painting, the style and design of the sofa and table is a very strange 
one, whose you have never seen.\n
The ceiling above is really high: more than four floors above, and above 
the eastern third is a mezzanine, reachable thru a simple but elegant flight 
of stairs against the north wall; east, the low-ceiled space below the 
mezzanine forms a more intimate part of the living room, at the end of which, 
on the east wall, hangs a large, ornate, mirror; Lastly, opposite the door 
is the entrance door to this place, or, from your perspective, the exit 
door.\n
<<one of>><i>From its placement, this painting looks very significant. 
Let's examine it..</i> <<or>>From its placement, this painting looks very 
significant. Let's examine it..<<or>><<stopping>><<stopping>>"

south = "A force field of sort block your passage southward; an impish voice 
apologises for the inconvenience, pointing that albeit largely done, the rest 
of the lower house is still incomplete, but the force field is transparent, 
allowing a sneak peek beyond it, seeing a corridor, with lateral passages 
at the near end, two doors at the middle of the corridor, and a side door 
and a door facing you at the far end."

  // west = fronthouse
 // activated for testing; will be accessible (alone) after discovering the 
//  night vision; later imp the relevant barrier.

west {
  if (pCompAche.scoreCount >3) {
    "Exiting from the strange house, you find yourself on a a graveled path, 
going north and south and west, but where these paths leads is obscured by 
the mist of suspense, but what really matters to you now is the confy bench 
the Imp has provided for you, so you sit on it, contemplating the alien sky 
of Railei, starting your patient waiting for the release of <i>Isekai</i>, 
sometime in late 2026, Earth reckoning.\n
in other, coveted by legions of Adventurers, words:";
    finishGameMsg(ftVictory, [finishOptionUndo, finishOptionFullScore]);
  }
  else {
    "An impish voice apologise that the outside of this place is still a 
work in progress, hinting at the same time that you can later end this 
exploration, even without fully contemplating the painting...";
  }
}

// this block looking into the mirror prior of x painting...
east : TravelConnector
{ destination = umezz
  travelBarriers = paintbarrier
}

// southeast = eating

southeast : TravelConnector
{ destination = eating
  travelBarriers = [paintbarrier,mirrorbarrier]
}


// 2ndF barrier; hopefully will be really rare that a player hits the 
// relief-related barrier...
// Also, When PC/Etuye recovers levi, N means "up the stairs" and U means 
// "levitating to the mezzanine".

up = "A disembodied impish voice apologises that the full narrative will not 
be complete until late 2026, Earth reckoning, and that you can't access the 
upper floor until then, begging for your patience.\n
Looking up, you notice a mezzanine, with a window-door on the north 
side and a large archway on the southern side."
north asExit(up)

// looking at all 3 spouses should dawn in the nameless PC's mind the 
// possibility that IS in love with the other two... with the accompanying 
// extra step ahead in luvkno.
roomAfterAction {
if (redGirl.examined && greenGirl.examined && aquaGirl.examined) 
// Provisional. To be perfected.
 {
  "<<first time>><<etuye.luvkno++ ? "" : "">>\bAfter giving a more in-depth
look at the depictions of these three young women, you pause, attempting 
to sort out the unexpected feelings those depictions have evoked inside you.\n
after many swings with the proverbial Occam's razor, you remain with 
only the most improbable answer:\n
<<inputManager.pauseForMore()>>
<i>if that Etuye is in love with this pair of so different ladies ?</i>\b
This answer, the only one you manage to cobble together, is so eccentric 
that you can hardly take seriously in consideration; but, looking again at 
the depicted trio, you note that there's a critical detail: that is, 
abstracting from the different, inhuman, species, all three seems 
definitively young adults, that is, they are...\n 
<i>...in the marriage age</i>....\n
You shook your head at the preposterous idea, sighed, then realize that your 
sigh is one more of <i>longing</i> than frustration, so you reluctantly 
concluded that is better and wiser adding this pair of unsettling questions 
to the pile of unanswered questions; a pair of questions whose you are unsure 
if you actually <i>want</i> to find an answer...<<only>>";
  uqAche.awardPointsOnce();
 }
} 
;

; // living room

paintbarrier: TravelBarrier
  canTravelerPass (traveler,connector) {return painting.examined ;}
  explainTravelBarrier(traveler,connector)
	{"<i>Prior of wandering around, let's check that painting, whose 
prominent placement indicates that is important to whoever live here 
...</i>";}
;

mirrorbarrier: TravelBarrier
	canTravelerPass (traveler,connector) {return mirror.examined ;}
	explainTravelBarrier(traveler,connector)
		{"<i>Prior of wandering around, let's check if this body is actually 
the same depicted in the painting, and there's a mirror beckoning in that 
cozy area eastward from here...</i>";}
;

Decoration 'low table; simple shining black lacquered;; it' @living
 "It is a simple, but lacquered in a very shining black, low table placed 
between the sofa and the painting; actually, is much more nearer the sofa: 
you can't avoid thinking that this low table form, together with the sofa, an 
ensemble functional to the contemplation of this painting."
;

// the sofas, armchairs &c.'s low backrests are actually "wingrests" 4 Miyai 
// & Azuj (the daemonic and the angelic member of the triangle, respectively) 
// and, esp. on the upper floor, also for winged guests.
sofa : Platform, Fixture 'sofa; strange unusual low confortable; design 
backrest feature; it' @living
  "This sofa<<if etuye.location==sofa>>, where you lie<<end>>, has a strange, 
rather unusual design, the most striking one being that the backrest is 
rather low, a very unusual feature. but IS confortable, and indeed now you 
feel well rested after collapsing here."
canStandOnMe = nil // only lying or sitting, let's avoid unrefined behaviour
;

// distants suggested by "Hidnook"
lceiling: Distant 'really high ceiling; tall barreled; roof; it' @living
"The ceiling is barreled, clearly the roof of this place, and is somewhat 
three or four floors above you; you can't be more precise, because you're 
looking at it from the perspective of a different body, one you can't say if 
is tall or short."
notImportantMsg = 'The ceiling is too high for you<<if painting.examined>> 
...but that painting depicts <i>winged</i> people..<<end>>.'
;

lmezz: Distant 'mezzanine; eastern cozy glazed clustered supporting; space 
seating seatings cabinet column columns; it' @living
"The mezzanine is somewhat one-third of the height of this living room; from 
your perspective you gleam, beyond a low parapet, the top of seatings, 
clustered in groups, around somewhat you can't see, but suppose are low table 
like the one here, and a glazed cabinet; below it, you see that is supported 
by two columns forming a triple arch under the parapet."

// hopefully is a decent enough catch-all...
notImportantMsg = 'you can\'t do this to the mezzanine' 
;

dmirror: Distant 'mirror; simple elegant framed; mirror frame' @living
"The mirror can be reached going under the mezzanine, east from 
here<<if !mirror.examined>>... And, as every mirror, <i>reflects the 
images</i><<end>>."
notImportantMsg = 'The framed mirror is in that space under the mezzanine, 
east from here.'
;

// todo: imp sitting, whose confirm the unconfortable (for back) nature of 
// the wingrests...
;

//TODO: flesh the loc.
umezz: Room 'Under the mezzanine' // temporary
 "The eastern third of the living room, being under the mezzanine, is a more 
cozy, even intimate, space, dominated by a tall mirror hanging at the centre 
of the eastern wall, flanked by two windows.\n
Four thin pillars support the mezzanine above, together with the two columns 
of the arch leading west to the high-ceiled part of the living room and the 
walls of the other three sides; A door below the stairs leading into a space 
understairs.
<<if !mirror.examined>>\n <i>Looking at this mirror should confirm or, 
hopefully, deny my current <b>unusual</b> appareance...</i><<end>>"

west = living
in = udoor // Understair door
;

// 4 exp with 1.6.2's DSDoor
// I'm unsure about keeping this in the actual Isekai story: having to open a
// door at the very beginning can confuse the player about the implicit
// door handling through the story.
// thanks to Eric Eve for the help about its working.
udoor: DSDoor 'paneled door; lacquered wood solid oak' 
    "The door is paneled with lacquered wood, allowing access to the space 
under the stairs."
//    isLocked = true
room1 = umezz
room2 = ustair
travelBarriers = (gRoom == room1 ? [mirrorbarrier] : [])
;

// The mirror is important because, well, give the final, decisive proof 
// that the PC is indeed the pink-haired, purple-eyed, pointy-eared Elf named 
// Etuye Alasne, "officially" starting the early game.

mirror: Fixture 'mirror; framed; mirror' @umezz
 "<<one of>><<mirror.initDesc>><<or>>You look back at your mirror image: of 
course it remain the same, but what you actually are looking for are more 
details on <<etuye.bodykno <2? "this":"your">> body. The breast is indeed of 
the same shape ...and size... of the elf depicted in the painting, These pink 
hairs is now actually slightly longer, and the very fine traits give you an 
exceptional beauty, far surpassing human standards.\n 
On having only human standards of reference, the lack of signs of the passing 
of time has absolutely no meaning: all lore attribuites really long life to 
elves, so it's impossible to estimate <<etuye.bodykno <2? "this":"your">> 
body's age, can easily be twenty, fifty or one hundred years, even 
centuries.\n
In a bout of idle curiosity, you tried to move your pointy ears, and with 
surprise, you quickly easily manage not only to swing your ears forward and 
backyard, but also slightly upward and downward, and even move them 
separately ! you giggle when experimenting in doing funny \"elf ear poses\".
<<stopping>>"
// to be perfected until the very last !!
// Idea: more than one "funny thing" in front of the mirror ?

initDesc () {
	etuye.bodykno = 1;
	etuye.wonder = 1;
 "You're astonished in seeing your mirror image, up to actually moving your 
head and hands to be completely sure that what you see is <b>really</b> your 
reflected image: Indeed your body now is not only a female body, but also 
an.. Elf body, complete with the stereotypical long, pointy ears protruding 
outwards!\n 
On top of this shocking confirmation, not only the pink hair colour, but also 
the purple eye colour, fine facial traits and physique are identical with the 
middle girl depicted in the painting in that living room, leaving no 
reasonable nor unreasonable margin of doubt that the body you now are 
<b>in</b> is the very same of the middle girl depicted in the painting in the 
other room.\n
But this answer raise new questions: <i>Who are these other two girls?</i>,
</i>and <i><b>How</b> and <b>Why</b> I'm in this body ??</i> then, more 
importantly, <i><b>Who</b> am I <b>now</b></i> ??\n
In this moment of overwhelming confusion, you spontaneously murmur a word.. 
no, actually two words:\b
<b><i>Etuye Alasne</i></b>\b
You felt that this the name of this body. <i>An elfin body, and a female 
one, on top of it! but how and why I'm actually <b>in</b> this body ? This is 
by far the major question.</i>";
achievement.awardPointsOnce();
// to be perfected until the very last !!
}
achievement: Achievement { +10 "confirming being in an Elf body" }
isInInitState = (!examined)
;

// hinting toward a lighter gravity... hence, another world !
pillars: Fixture 'Mezzanine pillars; impossibly thin square; pillar; them'
@ umezz
"These square pillars supporting the mezzanine above seems impossibly thin 
for the weight of the mezzanine above, even accounting for the added support 
of the columns at the open western side and the other three walls."
;

columns: Fixture 'Supporting columns; mezzanine\'s pair thin two arch arches 
western west end; them' @umezz
"the pair of thin hexagonal columns support the mezzanine's arches leading 
west to the high-ceiled part of the living room. Considering how thin are, 
you wonder how they support the mezzanine above."
;

// later this will be either a multiloc or a specific case.
umLose: Decoration //no windoze, alwawys losedows, I'm a Linux coder !!!
'glazed windows; pair tall somewhat gothic calm sizeable water; window glass 
meadow grove surface reflection pond penumbra; it' @umezz
"Looking outside one of these tall and arched, somewhat gothic, window, you 
see that outside is night, but amazingly you can see in the penumbra that 
there's a sizeable meadow, and behind it in the southeastern direction is a 
grove, and from the angle you're looking, you notice behind the grove, what 
seems the reflection of a calm water surface, perhaps a pond ?"
;

// Sundries here: cups, dishes, cutlery (the latter takeable ?)
// couldn't resist the temptation of the obvious reference...
ustair: Room 'Understair closet'
"There's no kid wizard living here, but there's plenty of potterware, this 
being a storage space for cups, dishes and cutlery, all of good appareance, 
elegant but not pretentious; whoever lives here not only has good taste, but 
also has often guests, and by the number of dishware here, also holds 
relatively sizeable receptions and parties."
// populate the place with the obvious sundries
out = udoor
;

// general description. I suspect is only a recipe for confusion...
dishware: Decoration 'elegant tableware; large complete matched good taste
good-taste elegant tasteful refined formal informal wood pewter; set 
dishware; them' @ustair
"The dishware's are of wood or pewter, forming a large matched set design and 
style is rather unusual, especially the cutlery, whose are a curious mix of 
western and eastern: all are of good taste, elegant and refined, without 
being extravagant or pretentious; and you feel that their design and style 
fit very well with both formal and informal settings.\n"
cannotTakeMsg = 'Even without counting, is obvious that this dishware form 
together a single large matched set of tableware, and isn\'t a good idea 
taking off one of these.'
notImportantMsg = 'Albeit are of wood or pewter, you prefer not to risk 
damaging this dishware.'
;


dishes: Decoration 'refined dishes; matched compleye good taste good-taste 
elegant refined formal informal wooden pewter; set dish bowls; them' 
@ustair
"These dishes are of three sizes, large, medium and small, and of two types, 
flat and soup." 
cannotTakeMsg = 'Even without counting, is obvious that form a sizeable 
complete set, and isn\'t a good idea taking out a dish from this complete 
set.'
notImportantMsg = 'Albeit are of painted wood or pewter, you prefer not to 
risk damaging these dishes with a carelessness handling.'
;

cups: Decoration 'tasteful cups; matched good taste good-taste elegant 
tasteful refined formal informal wooden pewter glass; set glasses cups; them'
@ustair
"The set of cups consist of three sizes of pewter and three of lacquered 
wood, the larger size of pewter and the middling size of wooden having an 
handle, plus a single size of, lacking better terms, 'camed' transparent 
highball glass."
cannotTakeMsg = 'Even without counting, is obvious that form a sizeable 
matched set, and isn\'t a good idea mismatching this set.'
notImportantMsg = 'Albeit the few of glass are all camed, and the rest are of 
lacquered wood or pewter, you prefer not to risk damaging or worst, breaking 
these cups.'
;

hiball: Decoration 'camed highball cup; glass iron steel patterned 
transparent tall; glass; it'
@ustair
"Studying carefully one of these camed glasses, you notice that its cames are 
sturdy, definitively not made of lead nor zinc, probably iron or steel, and 
that form a pattern of lozenges of transparent uncoloured glass, allowing 
direct vision of its content; is big enough for, uh, somewhat between 12 and 
14 ounces; it's something you never have seen, and clearly different from the 
others. You start to think that has a sort of ritual meaning...\n
Then <i>something</i> surfaces from somewhere in the depths of your brain, 
Something related to peace and... <b><i>Dragons ?</i></b> and... <i>milk</i> 
?? Trying to grasp a better meaning from this nebulous concept, you got a 
sort of short circuit between mind and brain, the former trying to use the 
term 'races' or 'species', the latter trying to use the term 'peoples'; 
clearly mind and brain don't agree on what is synonym of what.\n
The culture clash in your mind bring back for a moment the headache you 
experienced during the dream prior of awakening here, and again you feel 
fragmentary thinking in your mind: \"you... me... same.. worry...\" This time 
you don't collapse, but the headache disappears suddenly, leaving you with 
these new fragments of thinking, and a mysterious tradition involving a camed 
cup."
cannotTakeMsg = 'Notwithstanding the possible significance in your current 
situation, its ceremonial significance suggest that is wise leaving here; 
perhaps sometimes I can find what it means somewhere...'
notImportantMsg = 'You prefer not to risk damaging an item related to a 
traditional custom.'
;
/* THE STORY BEHIND THIS, WITHOUT SPOILERS:
 * Actually IS a culture clash, between the human mind and the elfin brain,
 * and the full thinking, actually coming from the communality between the NF 
 * PC and Etuye, is "you and me are the same, don't worry".
 * The Dragons have established peace, and one of the issues they tackled in
 * bringing all diverse races together was the lie that other species's milk
 * are poisonous to other species (the significance and weight of this lie in
 * Railei's warring past is a spoiler, sorry...), so a custom in Railei is of
 * mixing different species's milk and drinking the mixed milk, in memory of
 * the old Great Wyrm who, drinking in front of all peoples's leaders all 
 * combinations of allegedly poisonous mixed milk, culminating with a large
 * cup filled to the brim of all species's milk mixed together, disproved the
 * fake story, a major milestone in the Dragon's building of the enduring 
 * peace, more than 10,000 railean years prior of this story.
 * Of course, these details will be discovered by the player later in the 
 * completed story... and yes, IS a frontal attack to the current state of
 * world politics, dominated by fake news-motivated continuous warring... */

// TODO: the connection with the day-to-day cutlery.
ucutlery: Decoration //Understair cutlery
'unusual cutlery; matched good taste good-taste elegant refined formal 
informal unusual wood ivory ivory-looking; set cutlery chopsticks sporks 
forks spoons; them' @ustair
" These elegant cutlery are made of wood and something ivory-like, and <<if 
ucutlery.examined>> share with the plain day-to day cutlery in the dining 
room the same strangeness:<<else>> are strange:<<end>> the majority looks 
like a combination of eastern and western cutlery: chopsticks with either a 
two-prong fork or a narrow spoon on the opposite tip, and amidst these 
combinations there's even a sort of spork tip, a spoon with a large cut in 
the middle, but no knives, combined or western; you suspect that in this 
place the meat is served Eastern-style, already cut into bites.
<<if cutlery.examined>>\nThe marked contrast between these formal cutlery and 
the day-to-day cutlery in the dining room is somewhat of a relief, at least 
in this strange place is not strange setting the table with the best 
tableware around when hosting guests...<<end>>"
cannotTakeMsg = 'Even without counting, is obvious that form a sizeable 
matched set, and isn\'t a good idea mismatching this set of cutlery.'
notImportantMsg = 'Notwithstanding that are made of sturdy wood and/or 
ivory, you prefer not to risk damaging these dishes thru a carelessness 
messing.'
;

// later the dining room will be named "eating room", as is called in the
// isekai world. Hence the ?
eating: Room 'Dining room ?'
 "You feel unsure about the usage of this room; there's a large, very low 
table at its centre, reminiscent of Japanese tables, with cushions around 
and, on the northern wall, between the archway leading back to the 
living room and the eastern wall, is a cabinet. On the southern wall, there's 
a large sideboard<<first time>>; All those furniture together hints that this 
room must be some sort of dining room...<<only>>.\n
On the basis of the furniture around, you tentatively call this room the 
'dining room', albeit deep inside you, you feel that isn't how this room 
is actually called.\n 
West you spy a corridor, and north, thru the archway, you can return back to 
the living room."

north = living
west = "A force field of sort block your passage southward; an impish voice 
apologises for the inconvenience, pointing that albeit largely done, the rest 
of the lower house is still incomplete, but the force field is transparent, 
allowing to see that beyond is the beginning of a corridor continuing 
southward, and in front of you an arch lead to a narrow parallel corridor, 
then another arch leading to a kitchen\n You wonder what lies in the unseen 
part of the narrow corridor, but you have a nagging feeling that can be 
considered controversial."
;

// for the "eating with Azuj" scene TBI, this will became a surface..
Decoration 'large table; large very low japanese; table kotatsu' @eating
"It's a large and very low table, reminiscent of Japanese kotatsu, without 
warming stove under, but with blue cushions around. "
;

// Hope that the parallax is consistent with the different scale of the
// outside map....
eaLose: Decoration 'glazed windows; pair tall large lattice forest watcher\'s 
watch somewhat gothic; window glass meadow grove shape structure tower 
penumbra; it' @eating
"Looking outside one of these tall and arched, somewhat gothic, window, you 
see that outside is night, but amazingly you can see in the penumbra that just
outside is a large meadow, with a grove at its southeast, and that straight 
east, farther than the grove, you glimpse the shape of a lattice structure 
akin to a forest watcher's tower."
;

// point feeling awkward to the idea of sitting wearing a skirt, being elf ?
Decoration 'cushions; blue comfy; cushion zabuton cushions; them' @eating
"The cushions are all around the large table, like zabuton around a kotatsu; 
 all are blue and looks very comfy, but now you have other priorities than 
sitting on comfy cushions..."
plural = true
notImportantMsg = 'You have more pressing matters than fooling around with 
cushions.'
;

// ecabinet = Eating room cabinet. Actually a warmer of sort
// the etuye.bodykno = 2 is NOTREACHED in this excerpt. Kept 2cause should
// not cause bugs, or at least is what I hope...
ecabinet: OpenableContainer, Fixture 'cabinet; tall large; cabinet warmer; it'
@eating
 "This cabinet is a large one, slightly taller than you (but <<etuye.bodykno 
<2? "this":"your">> elfin body is a tall or short one ?)\n
<<isOpen ? "Sadly, the inside is empty...\n":"">>"
lookInMsg = "searching the empty cabinet predictably wields nothing, but the 
inside feel warm, albeit you can't figure how is warmed; but what matters is 
that this cabinet is actually a warmer."
;

sideboard: Surface, Fixture 'sideboard; ;sideboard; it' @eating
 "This sideboard don't have drawers, but on its top is carved a pair of trays 
containing some strange cutlery, combination of western and eastern cutlery."
;

trays: Component, Surface 'sideboard\'s trays; carved shallow pair; holder 
holders tray; it them' @sideboard
 "The trays of the sideboard are carved and not too deep, with gently sloping 
sides, its function being clearly that of cutlery holders, because indeed 
there's strange cutlery in these trays."
plural = true
;

cutlery: Thing 'strange cutlery; combination; chopsticks forks spoons sporks; 
them' @trays
 "These wooden cutlery are strange; the majority looks like a combination of 
eastern and western cutlery: chopsticks with either a two-prong fork or a 
narrow spoon on the opposite tip.\n
Sticks, fork, spoon, and even a sort of spork, a spoon with a large cut in 
the middle, but no knives: From this, you surmise that in this place the meat 
is served Eastern-style, already cut into bites.
<<if ucutlery.examined>>\n The unadorned, plain and simple appareance of 
these cutlery compared to those stored under the stairs reveal that those are 
the 'day-to-day' cutlery of this place's inhabitants.<<end>>"
plural = true
; // takeable 4 eating later..

// originally is elsewhere, but I placed it here because is an interesting
// AMUSING, citing a major RPG's staple item:

// homage to FF
ribbon: Wearable 'red ribbon; red velvet; ribbon' @eating
"a red ribbon, made of a sort of velvet, slight more than an inch wide and 
around six inch long.
<<if ribbon.isWornBy (etuye)>>\n you currently wear it on your hairs.<<end>>"
// prov, tb improved.

actionDobjWear()
{
 inherited;
"curiously, you feel the strange fantasy of being now protected against 
poison, paralysis, petrification, being turned into frog or shrinked into 
very small size, doomed to die in few minutes, among many other bizarre and 
definitively improbable occurences...\n
A \"<b>Fantasy</b>\" so bizarre and strange, that perhaps is a 
\"<b>Final</b>\" one.";
 achievement.awardPointsOnce();
}
achievement: Achievement { +1 "wearing the ribbon" } // Last lousy point

dobjFor (Tie) {
 verify(){}
 check () {
   if (self.isWornBy(etuye))
    "You have already tied it on your hair";
  }
 action() { doInstead(Wear, ribbon); }
}

dobjFor (Untie) {
 verify(){}
 check () {
   if (!self.isWornBy(etuye))
    "But you aren't wearing the red ribbon...";
  }
 action() { doInstead(Doff, ribbon); }
}

;
